Bug 55106 - Can't have > 8 characters in password
Summary: Can't have > 8 characters in password
Status: CLOSED DUPLICATE of bug 55011
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-25 18:13 UTC by Need Real Name
Modified: 2007-03-27 03:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-29 21:08:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-10-25 18:13:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.9 i686; en-US; rv:0.9.1)
Gecko/20010822

Description of problem:
Passwords > 8 characters can be assigned, but to log in RH 7.2 only accepts
the first 8 characters.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run "passwd" as a user, or root
2. change password to something with more than 8 characters
3. try to log in with new password -- incorrect password
4. try to log in with first 8 characters of new password -- succeeds
 
	

Actual Results:  Should be explained clearly in reproduction steps above.

Expected Results:  I expect it to let me have passwords of > 8 characters.
 I expect to type (using earlier example) aeiou1234 as my password, and
have it accepted.

Additional info:

This is a FRESH RH 7.2 install + errata patches.  The only other software
I've installed on it is Qmail + ucspi-tcp + daemontools, and imap-2000.
To see a listing of RPMs installed, go to:

http://ed.cates.net/rpmlist

I'm listing this as a security issue, as it pertains to passwords.

Comment 1 Need Real Name 2001-10-29 21:08:31 UTC
You might have a look at bug #55011, this may be the same problem.

Comment 2 Nalin Dahyabhai 2002-01-18 21:55:15 UTC
This appears to be the same bug fixed in he errata advisory at
https://www.redhat.com/support/errata/RHBA-2001-149.html
If installing this update does not fix the problem, please reopen this bug ID.

*** This bug has been marked as a duplicate of 55011 ***


Note You need to log in before you can comment on or make changes to this bug.